Bug 1296165 - "Complete" button of task row only working once
"Complete" button of task row only working once
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: DR2
: 6.3.0
Assigned To: Neus Miras
Jan Hrcek
:
Depends On:
Blocks: 1310713
  Show dependency treegraph
 
Reported: 2016-01-06 08:56 EST by Jan Hrcek
Modified: 2016-03-02 05:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1310713 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Video illustrating the issue (317.75 KB, application/octet-stream)
2016-01-06 08:59 EST, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2016-01-06 08:56:40 EST
Description of problem:
If you click "Complete" button of task row repeatedly it only works (= it opens Task Details panel) the first time you click it. Clicking it for the 2nd time Closes the task details panel. If you click it any more, it does nothing. 

Please see the video attachment illustrating the issue.
This problem is reproducible both in 6.2 product as well as in community kie-wb 6.4.x

Version-Release number of selected component (if applicable):
BPM Suite 6.2.0

How reproducible:
Always

Steps to Reproduce:
1. Create several adhoc tasks in task list and close task details panel.
2. Try clicking Close button for one task repeatedly for some task. Then for some other task.

Actual results:
The Details panel for specific task is only opened on the first click on the "Complete" button. 2nd click closes the details panel and all the following clicks do nothing.

Expected results:
The behavior should be the same whenever the "Complete" button in the task row is clicked (i.e. Task Details panel for that task should be opened).

Additional info:
There's also related jira in the community, that proposes changing the name of the "Complete" button to reflect it's true function. It should be renamed either to "Open" or "Details" to show that it actually DOESN'T complete the task, it just Opens the Details panel where user can complete the task - see https://issues.jboss.org/browse/JBPM-4718
Comment 1 Jan Hrcek 2016-01-06 08:59 EST
Created attachment 1112185 [details]
Video illustrating the issue
Comment 6 Neus Miras 2016-02-18 14:10:33 EST
The button is named now 'Open' and when the user click always open the task details area even the user clicks more than one time.
The commits have been merged at master and 6.4.x branch 
https://issues.jboss.org/browse/JBPM-4718
Comment 7 Jan Hrcek 2016-03-02 05:17:58 EST
Great, now it's working as expected. Verified with BPM Suite 6.3.0 DR2.

Note You need to log in before you can comment on or make changes to this bug.